Debian Bug report logs - #722935
RFP: twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Agustin Henze <tin@debian.org>

Date: Sat, 14 Sep 2013 16:33:06 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#722935; Package wnpp. (Sat, 14 Sep 2013 16:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Henze <tin@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 14 Sep 2013 16:33:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Agustin Henze <tin@debian.org>
To: submit@bugs.debian.org
Subject: RFP: libjs-twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter
Date: Sat, 14 Sep 2013 13:32:13 -0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

   Package name: libjs-twitter-bootstrap3
        Version: 3.0.0
Upstream Author: Marc Otto, Jacob Thornton
            URL: https://github.com/twbs/bootstrap
        License: Apache 2.0
    Description: HTML, CSS and JS toolkit from Twitter
Bootstrap is a toolkit from Twitter designed to kickstart development of
webapps and sites with modern browsers in mind.
.
It includes base CSS and HTML for typography, forms, buttons, tables,
grids, navigation, and more

You can read the details about the bootstrap3 here
https://github.com/twbs/bootstrap/releases/tag/v3.0.0

-- 
TiN



[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'RFP: twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter' from 'RFP: libjs-twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter' Request was from Agustin Henze <tin@debian.org> to control@bugs.debian.org. (Sat, 14 Sep 2013 18:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722935; Package wnpp. (Sat, 14 Sep 2013 19:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@ftbfs.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 14 Sep 2013 19:27:09 GMT) Full text and rfc822 format available.

Message #12 received at 722935@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@ftbfs.de>
To: Agustin Henze <tin@debian.org>, 722935@bugs.debian.org
Subject: Re: Bug#722935: RFP: libjs-twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter
Date: Sat, 14 Sep 2013 21:24:11 +0200
Hi, 

On Sat Sep 14, 2013 at 13:32:13 -0300, Agustin Henze wrote:
> Package: wnpp
> Severity: wishlist
> X-Debbugs-CC: debian-devel@lists.debian.org
> 
>    Package name: libjs-twitter-bootstrap3
>         Version: 3.0.0
> Upstream Author: Marc Otto, Jacob Thornton
>             URL: https://github.com/twbs/bootstrap
>         License: Apache 2.0
>     Description: HTML, CSS and JS toolkit from Twitter
> Bootstrap is a toolkit from Twitter designed to kickstart development of
> webapps and sites with modern browsers in mind.
> .
> It includes base CSS and HTML for typography, forms, buttons, tables,
> grids, navigation, and more
> 
> You can read the details about the bootstrap3 here
> https://github.com/twbs/bootstrap/releases/tag/v3.0.0

why does it need to be a new package when there is
libjs-twitter-bootstrap?

http://packages.debian.org/sid/libjs-twitter-bootstrap

Taking over this package from the QA group sounds like a good idea to
me.

Cheers,
Martin
-- 
 Martin Zobel-Helas <zobel@debian.org>    Debian System Administrator
 Debian & GNU/Linux Developer                       Debian Listmaster
 http://about.me/zobel                               Debian Webmaster
 GPG Fingerprint:  6B18 5642 8E41 EC89 3D5D  BDBB 53B1 AC6D B11B 627B 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722935; Package wnpp. (Sat, 14 Sep 2013 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Henze <tin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 14 Sep 2013 20:03:05 GMT) Full text and rfc822 format available.

Message #17 received at 722935@bugs.debian.org (full text, mbox):

From: Agustin Henze <tin@debian.org>
To: Martin Zobel-Helas <zobel@ftbfs.de>
Cc: 722935@bugs.debian.org
Subject: Re: Bug#722935: RFP: libjs-twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter
Date: Sat, 14 Sep 2013 16:55:52 -0300
[Message part 1 (text/plain, inline)]
On 09/14/2013 04:24 PM, Martin Zobel-Helas wrote:
> why does it need to be a new package when there is
> libjs-twitter-bootstrap?

Because it's not backward compatible, so for a while we'll need both versions
available in the archives.

> http://packages.debian.org/sid/libjs-twitter-bootstrap
> 
> Taking over this package from the QA group sounds like a good idea to
> me.

There is a bug report about new upstream release in March (704028) and seems to
be stuck. So I don't think that is the best idea to leave the package under QA
team umbrella. They have a lot of work, so I think it'd be great if someone
else can take over it.

Cheers,

-- 
TiN

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Agustin Henze <tin@debian.org>:
You have taken responsibility. (Sun, 15 Sep 2013 04:03:09 GMT) Full text and rfc822 format available.

Notification sent to Agustin Henze <tin@debian.org>:
Bug acknowledged by developer. (Sun, 15 Sep 2013 04:03:09 GMT) Full text and rfc822 format available.

Message #22 received at 722935-close@bugs.debian.org (full text, mbox):

From: Agustin Henze <tin@debian.org>
To: 722935-close@bugs.debian.org
Subject: Bug#722935: fixed in docopt 0.6.1-1
Date: Sun, 15 Sep 2013 04:00:07 +0000
Source: docopt
Source-Version: 0.6.1-1

We believe that the bug you reported is fixed in the latest version of
docopt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 722935@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Agustin Henze <tin@debian.org> (supplier of updated docopt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 14 Sep 2013 17:33:36 -0300
Source: docopt
Binary: python-docopt python3-docopt
Architecture: source all
Version: 0.6.1-1
Distribution: unstable
Urgency: low
Maintainer: Agustin Henze <tin@debian.org>
Changed-By: Agustin Henze <tin@debian.org>
Description: 
 python-docopt - Creates beautiful command-line interfaces
 python3-docopt - Creates beautiful command-line interfaces (Python3)
Closes: 722935
Changes: 
 docopt (0.6.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #722935)
Checksums-Sha1: 
 ba70e7269160ae0bd512aba8cb1fdbe4fa6b6cca 1926 docopt_0.6.1-1.dsc
 2228a1bc58665664550a4552fb53906704918866 26261 docopt_0.6.1.orig.tar.gz
 3cbca868e4c81a9022a8f6f3b9ba8602408fd4cb 2757 docopt_0.6.1-1.debian.tar.gz
 fa15ad3d01195eb37fd4b8fdaa2d54012084b1b9 25910 python-docopt_0.6.1-1_all.deb
 6a9fa07bef217b74ba2431a20daeb89829796725 14474 python3-docopt_0.6.1-1_all.deb
Checksums-Sha256: 
 2c9e3e361c995428657c0dc0bc7ce1db2c18b5712510bfd2be7f721c7916ba18 1926 docopt_0.6.1-1.dsc
 e5e9fc58fc25acd8837f608296007e309a4d54d4402529a12d7b450c14d40317 26261 docopt_0.6.1.orig.tar.gz
 9b1ad77a3a3f77d415f38099cb442a41703119b692f39a7a7b3914e385063971 2757 docopt_0.6.1-1.debian.tar.gz
 a6245a0fe2336e19e374145138ed4e71f3fd8d41272b672c0c25b81ab3b9475b 25910 python-docopt_0.6.1-1_all.deb
 038eed679ffbeeb405c24c6cdc0defe9d54474896682d2a67443bc31b02451dd 14474 python3-docopt_0.6.1-1_all.deb
Files: 
 17568d2833cd2eaa104e34e163490657 1926 python optional docopt_0.6.1-1.dsc
 98b9b74ef7f34382ce84baa7d03b3881 26261 python optional docopt_0.6.1.orig.tar.gz
 881b8d8ff975f3a3e26b474aafe78ac9 2757 python optional docopt_0.6.1-1.debian.tar.gz
 6a6902395c196b29d1256a9b62b7431f 25910 python optional python-docopt_0.6.1-1_all.deb
 b576c505d2ee61e0cf21f50319bd4a8f 14474 python optional python3-docopt_0.6.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIbBAEBCAAGBQJSNNXKAAoJEAIoUhB4kDjydCMP92WYZBhSOOj69mMMNtPn7NL4
qAbuFi+DeBn9l6AMWz64qS1izaBTh0vc8WdoXM0GTLGkAjn2cSlZIhliDpR4das+
FLM8LyNID1RxCSUigrRDwxWyn0Tz0UzR6eRz8DGH0vqToO/KemRKE7znb9btFvD/
vsBLjoYAcPgfocJ7TAgBtnCfa2jFquIdVRGYTUpCCNy9Rpg9ql3Lh7UJsKChcBkw
FuIr/Opcd39zVxBUEUu/El4XEXEWiCg3ZBctf4QSZdtkvW9Spv2VWn6nmS5u3dl8
KIHu3C0L+Ockz9mIO7OZIxZw32I21N69aiDx+stPgKAvlw3aQGFAOsLgO9VMHA3h
xQMxlYyaZRweUPZWp3PnCYdeYgXqFHJZXocwiJAUIP05nqe6JViPMkDxtDjGYVJ9
vJkDS2oy36oIrSA3XDVIjesi6FOI7WsSj5ViiW3nvCqqzmVDGRXvFQeI5tnWKGcY
UA2mJbtDSJ5Kxs1CITnNWLhndOfP0ZAgDKiGFcx4qcocoauM8VncBs1PAfpzPAu9
inkSpu0vcgVUDh3lAhnrkg3i0nuT5SRdQbbP8uGIOihodGB7TLzZ/vrsWCgFXUHk
6EMIRWk1EzhFL8ZXmFTMTbBh6zGmDCNT3nvTURg5PRiIBegr6TCMCpXQdOiDxZOc
KOsFXtXfl9MMJujEWPA=
=bt7e
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722935; Package wnpp. (Sun, 15 Sep 2013 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 15 Sep 2013 08:09:05 GMT) Full text and rfc822 format available.

Message #27 received at 722935@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Agustin Henze <tin@debian.org>, 722935@bugs.debian.org
Subject: Re: Bug#722935: RFP: libjs-twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter
Date: Sun, 15 Sep 2013 10:05:02 +0200
[Message part 1 (text/plain, inline)]
Quoting Martin Zobel-Helas (2013-09-14 21:24:11)
> On Sat Sep 14, 2013 at 13:32:13 -0300, Agustin Henze wrote:
> > Package: wnpp
> > Severity: wishlist
> > X-Debbugs-CC: debian-devel@lists.debian.org
> > 
> >    Package name: libjs-twitter-bootstrap3
> >         Version: 3.0.0
> > Upstream Author: Marc Otto, Jacob Thornton
> >             URL: https://github.com/twbs/bootstrap
> >         License: Apache 2.0
> >     Description: HTML, CSS and JS toolkit from Twitter
> > Bootstrap is a toolkit from Twitter designed to kickstart development of
> > webapps and sites with modern browsers in mind.
> > .
> > It includes base CSS and HTML for typography, forms, buttons, tables,
> > grids, navigation, and more
> > 
> > You can read the details about the bootstrap3 here
> > https://github.com/twbs/bootstrap/releases/tag/v3.0.0
> 
> why does it need to be a new package when there is
> libjs-twitter-bootstrap?
> 
> http://packages.debian.org/sid/libjs-twitter-bootstrap
> 
> Taking over this package from the QA group sounds like a good idea to 
> me.

I perfectly agree with Martin: Please consider taking responsibility for 
existing Bootstrap package instead.

Also consider joining the Javascript team and do your work there: 
https://wiki.debian.org/Javascript :-)


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722935; Package wnpp. (Mon, 16 Sep 2013 10:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Henze <tin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 16 Sep 2013 10:15:04 GMT) Full text and rfc822 format available.

Message #32 received at 722935@bugs.debian.org (full text, mbox):

From: Agustin Henze <tin@debian.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 722935@bugs.debian.org
Subject: Re: Bug#722935: RFP: libjs-twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter
Date: Mon, 16 Sep 2013 06:55:56 -0300
[Message part 1 (text/plain, inline)]
On 09/15/2013 05:05 AM, Jonas Smedegaard wrote:
> I perfectly agree with Martin: Please consider taking responsibility for 
> existing Bootstrap package instead.

Ups, I misunderstood the message of Martin, sorry. Thanks for the clarification :).
Anyway we need both versions of bootstrap for now, because bootstrap3 it's not
backward compatible. I sent the RFP because I want to know if someone else is
interested, I'm. But I need first do a lot of work before to get my package
(nikola) ready, I need 5 o 6 new packages... I think that it will take me about
two or three weeks, if in that time anyone take the job, I'll do.

> Also consider joining the Javascript team and do your work there: 
> https://wiki.debian.org/Javascript :-)

I'm already part of the Javascript team :)

Cheers,

-- 
TiN

[signature.asc (application/pgp-signature, attachment)]

No longer marked as fixed in versions docopt/0.6.1-1. Request was from Agustin Henze <tin@debian.org> to control@bugs.debian.org. (Mon, 16 Sep 2013 10:45:07 GMT) Full text and rfc822 format available.

Bug reopened Request was from Agustin Henze <tin@debian.org> to control@bugs.debian.org. (Mon, 16 Sep 2013 10:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722935; Package wnpp. (Mon, 16 Sep 2013 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 16 Sep 2013 12:03:04 GMT) Full text and rfc822 format available.

Message #41 received at 722935@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Agustin Henze <tin@debian.org>
Cc: 722935@bugs.debian.org
Subject: Re: Bug#722935: RFP: libjs-twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter
Date: Mon, 16 Sep 2013 14:00:50 +0200
[Message part 1 (text/plain, inline)]
Quoting Agustin Henze (2013-09-16 11:55:56)
> On 09/15/2013 05:05 AM, Jonas Smedegaard wrote:
> > I perfectly agree with Martin: Please consider taking responsibility 
> > for existing Bootstrap package instead.
> 
> Ups, I misunderstood the message of Martin, sorry. Thanks for the 
> clarification :).

> Anyway we need both versions of bootstrap for now, because bootstrap3 
> it's not backward compatible.

Good point.  In future please consider mentioning that in the RFP :-)


> I sent the RFP because I want to know if someone else is
> interested, I'm. But I need first do a lot of work before to get my 
> package (nikola) ready, I need 5 o 6 new packages... I think that it 
> will take me about two or three weeks, if in that time anyone take the 
> job, I'll do.

Quite sensible.  But again, please consider mentioning such 
considerations of your when filing a bugreport - they are nice to know 
for those caring about the bug. :-)


> > Also consider joining the Javascript team and do your work there: 
> > https://wiki.debian.org/Javascript :-)
> 
> I'm already part of the Javascript team :)

Excellent (and sorry for not knowing my own team mates :-/ )


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722935; Package wnpp. (Mon, 16 Sep 2013 21:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Henze <tin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 16 Sep 2013 21:33:08 GMT) Full text and rfc822 format available.

Message #46 received at 722935@bugs.debian.org (full text, mbox):

From: Agustin Henze <tin@debian.org>
To: Jonas Smedegaard <dr@jones.dk>, 722935@bugs.debian.org
Subject: Re: Bug#722935: RFP: libjs-twitter-bootstrap3 -- HTML, CSS and JS toolkit from Twitter
Date: Mon, 16 Sep 2013 18:31:26 -0300
[Message part 1 (text/plain, inline)]
On 09/16/2013 09:00 AM, Jonas Smedegaard wrote:
> Quoting Agustin Henze (2013-09-16 11:55:56)
>> Anyway we need both versions of bootstrap for now, because bootstrap3 
>> it's not backward compatible.
> 
> Good point.  In future please consider mentioning that in the RFP :-)

Ok

>> I sent the RFP because I want to know if someone else is
>> interested, I'm. But I need first do a lot of work before to get my 
>> package (nikola) ready, I need 5 o 6 new packages... I think that it 
>> will take me about two or three weeks, if in that time anyone take the 
>> job, I'll do.
> 
> Quite sensible.  But again, please consider mentioning such 
> considerations of your when filing a bugreport - they are nice to know 
> for those caring about the bug. :-)

Ok. Thanks for the tips!

>>> Also consider joining the Javascript team and do your work there: 
>>> https://wiki.debian.org/Javascript :-)
>>
>> I'm already part of the Javascript team :)
> 
> Excellent (and sorry for not knowing my own team mates :-/ )

It's not your fault, I'm not very active on the mailing list yet. Again, thanks
for the tips.

Cheers,

-- 
TiN

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:10:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.